Bug 733011 - Device name mispelled on --addfencedev
Summary: Device name mispelled on --addfencedev
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Cluster_Administration
Version: 6.1
Hardware: All
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Steven J. Levine
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-24 13:04 UTC by amedeo
Modified: 2011-11-14 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-14 22:10:17 UTC


Attachments (Terms of Use)

Description amedeo 2011-08-24 13:04:22 UTC
On document Cluster_Administration(EN)-6 (2011-05-19T16:26) (latest available on-line) at chapter 5.5 (1) when there are an example on creating fence device "myfence" by this command:

# ccs -h node1 --addfencedev myfence agent=fence_apc ipaddr=apc_ip_example login=login_example passwd=password_example

the resulting xml from cluster.conf configuration file has device name setting to "apc" and not to "myfence":

<fencedevices>
      <fencedevice agent="fence_apc" ipaddr="apc_ip_example" login="login_example" name="apc" passwd="password_example"/>
</fencedevices>


1) http://docs.redhat.com/docs/en-US/Red_Hat_Enterprise_Linux/6/html/Cluster_Administration/s1-config-fence-devices-ccs-CA.html

Best Regards
Amedeo Salvati

Comment 2 Steven J. Levine 2011-08-24 15:17:54 UTC
There is a mistake in the document, but this description is backwards. The ccs example command in the document is this:

ccs -h node1 --addfencedev myfence agent=fence_apc ipaddr=apc_ip_example login=login_example passwd=password_example

But the resulting cluster.conf file the document provides is this:

<fencedevices>
      <fencedevice agent="fence_apc" ipaddr="apc_ip_example" login="login_example" name="apc" passwd="password_example"/>
</fencedevices>

So either the command should specify apc as the name, or the cluster.conf file should specify myfence. Since the rest of the section calls the device "myfence" I'll fix the cluster.conf file example to note this:

<fencedevices>
      <fencedevice agent="fence_apc" ipaddr="apc_ip_example"
login="login_example" name="myfence" passwd="password_example"/>
</fencedevices>

That should make this consistent. I have fixed this in my working draft.

Comment 5 Steven J. Levine 2011-11-14 22:10:17 UTC
Latest build for 6.2 GA release:
Red_Hat_Enterprise_Linux-Cluster_Administration-6-web-en-US-0-114_el6eng

Moving to CLOSED.


Note You need to log in before you can comment on or make changes to this bug.